package com.datasync.request;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

import com.fasterxml.jackson.annotation.JsonInclude.Include;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@JsonInclude(Include.NON_NULL)
public class AccountRequest {
	
	public String objectid;
	public Date etag;
	public String recommendedvisitingfrequency;
	public String accountformattedname;
	public String poboxdeviatingregioncode;
	public String poboxdeviatingregioncodetext;
	public String rolecode;
	public String rolecodetext;
	public String accountname;
	public String accountname2;
	public String accountname3;
	public String accountname4;
	public String accountid;
	public String uuid;
	public String marketingleadindicator;
	public String ownerid;
	public String primarycontactid;
	public String primarycontactname;
	public String owneruuid;
	public String ownerformattedname;
	public Date changedon;
	public String duns;
	public Date createdon;
	public String countyname;
	public String statuscode;
	public String statuscodetext;
	public String abcclassificationcode;
	public String abcclassificationcodetext;
	public String legalformcode;
	public String legalformcodetext;
	public String nielsenid;
	public String nielsenidtext;
	public String contactpermissioncode;
	public String contactpermissioncodetext;
	public String correspondencelanguagecode;
	public String correspondencelanguagecodetext;
	public String prefcommmediumtypecode;
	public String prefcommmediumtypecodetext;
	public String phone;
	public String email;
	public String fax;
	public String mobile;
	public String web;
	public String additionalstreetprefixname;
	public String additionalstreetsuffixname;
	public String buildingid;
	public String careofname;
	public String cityname;
	public String countrycode;
	public String countrycodetext;
	public String districtname;
	public String houseid;
	public String poboxdeviatingcityname;
	public String poboxdeviatingcountrycode;
	public String poboxdeviatingcountrycodetext;
	public String poboxid;
	public String poboxpostalcode;
	public String poboxpostalcodetext;
	public String streetname;
	public String streetpostalcode;
	public String streetpostalcodetext;
	public String streetprefixname;
	public String streetsuffixname;
	public String taxjurisdictioncode;
	public String taxjurisdictioncodetext;
	public String timezonecode;
	public String timezonecodetext;
	public String categorycode;
	public String categorycodetext;
	public String regioncode;
	public String regioncodetext;
	public String industrycode;
	public String industrycodetext;
	public String createdby;
	public String changedby;
	public String acls;
	public String aclstext;
	public String accountsegmentation;
	public String accountsegmentationtext;
	public String dpnetnewaccount;
	public String eloquacontactid;
	public String gtmsubsegmentation;
	public String gtmsubsegmentationtext;
	public String sledfedaccount;
	public String walletoffprem;
	public String walletonprem;
	public String zapacgeoaccountclassi;
	public String zapacgeoaccountclassitext;
	public String zaccountmarketsegment;
	public String zaccountmarketsegmenttext;
	public String zaccounttype;
	public String zaccounttypetext;
	public String zactive;
	public String zadditionaldepartment;
	public String zadditionaljobrole;
	public String zaddresscmatid;
	public String zaddresscmatidsdk;
	public String zaddresscmatidsalesoffice;
	public String zassistant;
	public String zasstphone;
	public String zb2bflag;
	public String zbpcreated;
	public Date zbusinesschangedate;
	public Date zbusinesscreatedate;
	public String zbusinessfunction;
	public String zbusinessfunctiontext;
	public String zbypassvalidations;
	public String zcesoaaccess;
	public String zcesoaaccesstext;
	public Date zchangeddate;
	public String zcomments;
	public String zcommentstocmatops;
	public String zcompanyroles;
	public String zcompanyrolestext;
	public String zcompanyusage;
	public String zcompanyusagetext;
	public String zconglomerateflag;
	public String zcontactrole;
	public String zcontactroletext;
	public String zcontacttype;
	public String zcontacttypetext;
	public String zcountrycode;
	public String zcreatorsourcesystem;
	public String zcreatorsourcesystemtext;
	public String zdpaccountvertical;
	public String zdpcmatid;
	public String zdpcountry;
	public String zdpgtmsegmentation;
	public String zdpgtmsegmentationtext;
	public String zdpgtmsubsegmentation;
	public String zdpgtmsubsegmentationtext;
	public String zdpmarketsegment;
	public String zdpmarketsegmenttext;
	public String zdpname;
	public String zdppenetrationlevel;
	public String zdppenetrationleveltext;
	public String zdprepsitecmataddressid;
	public String zdprepsitegeo;
	public String zdprighttouchlevel;
	public String zdprighttouchleveltext;
	public String zdpsecuritycode;
	public String zdpsecuritycodetext;
	public String zdpserviceprovider;
	public String zdpserviceprovidertext;
	public String zdpwalletsizeamount;
	public String zdpwallettype;
	public String zdpwallettypetext;
	public String zdepartment;
	public String zemailoptin;
	public String zemailkutcontent;
	public String zemployeeid;
	public String zevents;
	public String zexceptionerrorcode;
	public String zexceptionerrorcodetext;
	public String zexecutiveasstemail;
	public String zextension;
	public String zexternaluniqueid;
	public String zforcesendobm;
	public String zgtmsegmentation;
	public String zgtmsegmentationtext;
	public String zglobalunsubscribe;
	public String zgroupemailcontent;
	public String zhartehanksid;
	public String zholdeloqua;
	public String zintegrationmsg;
	public String zintegrationrequired;
	public String zintegrationstatus;
	public String zintegrationstatustext;
	public String zinterests;
	public String zjobfunction;
	public String zjobfunctiontext;
	public String zlcleadcatcher;
	public Date zlastgsocenableddate;
	public String zleadsource;
	public String zleadsourcemostrecent;
	public String zleadsourcemostrecenttext;
	public String zleadsourceoriginal;
	public String zleadsourceoriginaltext;
	public String zleadsourcetext;
	public String zlegacyid;
	public String zlistdescription;
	public String zmainphone;
	public String zmanagerid;
	public String znagpidsc;
	public String znagpname;
	public String znagprepsitegeo;
	public String znagpwalletsizerange;
	public String znagprepsite;
	public String znopartneradmin;
	public String znotes;
	public String zobsolete;
	public String zobsoleteotherreason;
	public String zobsoletereason;
	public String zobsoletereasontext;
	public String zofficephoneextn;
	public String zofficetype;
	public String zofficetypetext;
	public String zoptinoptoutnote;
	public String zpeuser;
	public String zpeusertext;
	public String zpartneraddresscmatid;
	public String zpartnerhomegeo;
	public String zpartnerhomegeotext;
	public String zpdbid;
	public String zphoneoptin;
	public String zplancategory;
	public String zplancategorytext;
	public String zplandescription;
	public String zplandescriptiontext;
	public String zplantype;
	public String zplantypetext;
	public String zrenewalowner;
	public String zrenewalownertext;
	public String zrepresponsible;
	public String zrepresentativesite;
	public String zresellerpartnerlevel;
	public String zrighttouchlevel;
	public String zrighttouchleveltext;
	public String zssoapprovalstatus;
	public String zssoapprovalstatustext;
	public String zsaleofficeidkut;
	public String zsalesrepid;
	public String zspecialprocessing;
	public Date zstartdate;
	public String zthirdpartycontactsource;
	public String zthirdpartycontactsourcetext;
	public String ztitle;
	public String ztobedeactivated;
	public String zunsubscribefromeloqua;
	public String zupdatedbysourcesystem;
	public String zupdatedbysourcesystemtext;
	public String zuserid;
	public String zuserlocale;
	public String zusername;
	public String zuserregbypassoutboundwf;
	public String zuserregbypassoutboundwftext;
	public String zvertical;
	public String zwalletsizeamount;
	public String zwallettype;
	public String zwallettypetext;
	public String zzapplicationaccess;
	public String zzeligibleforleadrouting;
	public String zarea;
	public String zareatext;
	public String zareafree;
	public String zcmatcomments;
	public String zcmatid;
	public String zcmatidsdk;
	public String zcloudserviceprovider;
	public String zcloudserviceprovidertext;
	public String zdistrict;
	public String zdistricttext;
	public String zdistrictfree;
	public String zela;
	public String zelaflag;
	public String zeoa;
	public String zesa;
	public String zesaflag;
	public String zgeo;
	public String zgeotext;
	public String zgeofree;
	public String zgsocverified;
	public String zmdmaccountstatus;
	public String zmdmaccountstatustext;
	public String zmdmtransactionid;
	public String zmdmdetailedstatus;
	public String zmpa;
	public String zmultiarea;
	public String zmultiareatext;
	public String zmultiareafree;
	public String zmultiregion;
	public String zmultiregiontext;
	public String zmultiregionfree;
	public String znagpid;
	public String znagprepsiteaddresscmatid;
	public String zocirep;
	public String zoptinoptout;
	public String zps;
	public String zpela;
	public String zpesa;
	public String zregion;
	public String zregiontext;
	public String zregionfree;
	public String zsamlfederationid;
	public String zsmartnodecode;
	public String zsecuritycode;
	public String zsecuritycodetext;
	public String zteam;
	public String zteamtext;
	public String zteamfree;
	public String zww;
	public String zwwtext;
	public String zwwfree;
	public String zs5000penetrationlevel;
	public String zs5000penetrationleveltext;
	public Date pbaccountcontactnextstepdue;
	public Date pbaccountcontactplayinfoupdate;
	public String pbaccountcontactplayname;
	public String pbaccountcontactplaystatus;
	public String pbaccountcontactstepnumber;
	
}
